VirtualBox

Ticket #1481 (closed defect: fixed)

Opened 6 years ago

Last modified 5 years ago

WinXP guest does not boot after upgrade to 1.6.0

Reported by: christoph.lukas Owned by:
Priority: major Component: other
Version: VirtualBox 1.6.0 Keywords:
Cc: Guest type: other
Host type: other

Description

I have been running VirtualBox 1.5.6 on an Ubuntu Gutsy host. I have installed a WinXP guest some month ago.

After upgrading VirtualBox from 1.5.6-28266 to 1.6.0-30421 this WinXP guest does not boot any more. It stops just after the Bios screen with 'Media error'. I did not touch the configuration of this guest.

This might be caused by a different hard disk layout presented by the bios:

VirtualBox 1.5.6:
00:00:03.958 PIIX3 ATA: LUN#0: disk, CHS=21845/16/63, total number of sectors 22020096
00:00:08.550 Guest Log: BIOS: ata0-0: PCHS=16383/16/63 translation=lba LCHS=1024/255/63
00:00:08.626 Guest Log: BIOS: Booting from Hard Disk...
00:00:08.871 Guest Log: BIOS: int13_harddisk: function 15, unmapped device for ELDL=81

VirtualBox 1.6.0:
00:00:03.259 PIIX3 ATA: LUN#0: disk, PCHS=16383/16/63, total number of sectors 22020096
00:00:03.738 Guest Log: BIOS: ata0-0: PCHS=16383/16/63 LCHS=1024/16/63
00:00:06.223 Guest Log: BIOS: Booting from Hard Disk...
00:00:06.224 Guest Log: BIOS: int13_harddisk: function 02, parameters out of range 0001/0031/0008!

Booting the guest system from a knoppix cd both VirtualBox versions show a disk geometry of CHS=21845/16/63 according to fdisk -l. In both VirtualBox versions I can access /dev/hda1 as a valid windows partition.

Please let me know if I can supply any further information.

Thanks in advance, Christoph

Change History

comment:1 Changed 6 years ago by christoph.lukas

I have worked around this issue:

  • installed VirtualBox 1.6
  • created a new disk with same size
  • attached the new disk to the VM
  • booted the VM using Knoppix
  • cloned the disk content:

sfdisk -d /dev/hda | sfdisk /dev/hdb dd if=/dev/hda of=/dev/hdb count=1 bs=512 dd if=/dev/hda1 of=/dev/hdb1

  • removed the old disk and made the new primary master

the drawback is that you loose all your snapshots. Probably it would be worth trying VBoxManage clonevdi instead.

comment:2 Changed 6 years ago by christoph.lukas

The commands should look like:

sfdisk -d /dev/hda | sfdisk /dev/hdb
dd if=/dev/hda of=/dev/hdb count=1 bs=512
dd if=/dev/hda1 of=/dev/hdb1

comment:3 Changed 5 years ago by frank

  • Status changed from new to closed
  • Resolution set to fixed

Please reopen if still relevant with the newest version.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use